Package be.cin.mycarenet._1_0.carenet.types

# Class Hospitalized

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.Hospitalized

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class Hospitalized extends Object implements Serializable

Java class for HospitalizedType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="HospitalizedType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}Hospital"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}AdmissionDate" minOccurs="0"/>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}AdmissionService" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Hospitalized()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Instant`
  `getAdmissionDate()`
  The date the care receiver is admitted.
  `String`
  `getAdmissionService()`
  The services that is provided by the hostital (indicated by the hospital element) to the care care receiver.
  `String`
  `getHospital()`
  The hospital where the care receiver is admitted.
  `void`
  `setAdmissionDate(Instant value)`
  Sets the value of the admissionDate property.
  `void`
  `setAdmissionService(String value)`
  Sets the value of the admissionService property.
  `void`
  `setHospital(String value)`
  Sets the value of the hospital property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Hospitalized

    public Hospitalized()

- ## Method Details

  - ### getHospital

    public String getHospital()
    The hospital where the care receiver is admitted.
    Returns:
      possible object is `String`

  - ### setHospital

    public void setHospital(String value)
    Sets the value of the hospital property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getHospital()`

  - ### getAdmissionDate

    public Instant getAdmissionDate()
    The date the care receiver is admitted.
    Returns:
      possible object is `String`

  - ### setAdmissionDate

    public void setAdmissionDate(Instant value)
    Sets the value of the admissionDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAdmissionDate()`

  - ### getAdmissionService

    public String getAdmissionService()
    The services that is provided by the hostital (indicated by the hospital element) to the care care receiver.
    Returns:
      possible object is `String`

  - ### setAdmissionService

    public void setAdmissionService(String value)
    Sets the value of the admissionService property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAdmissionService()`